backend:
  name: git-gateway
  branch: main
  commit_messages:
    create: "Create {{collection}} “{{slug}}”"
    update: "Update {{collection}} “{{slug}}”"
    delete: "Delete {{collection}} “{{slug}}”"
    uploadMedia: "[skip ci] Upload “{{path}}”"
    deleteMedia: "[skip ci] Delete “{{path}}”"

local_backend: false

site_url: "https://correntecenedese.it"
display_url: "https://correntecenedese.it"
logo_url: "https://correntecenedese.it/logo.svg"

locale: it

media_folder: "public/assets"
public_folder: "/assets"

search: false

slug:
  encoding: unicode
  clean_accents: true
  sanitize_replacement: "-"

editor:
  preview: false

collections:

  - name: customers
    label: "Clienti"
    label_singular: "Cliente"
    description: "Clienti da mostrare tra le referenze."
    folder: "src/content/customers/"
    extension: md
    create: true
    delete: true
    media_folder: "public/assets/customers"
    public_folder: "/assets/customers"
    fields:
      - label: Titolo
        name: title
        widget: string
      - label: Logo
        name: src
        widget: image
        hint: "Prediligi immagini senza sfondo (PNG o SVG), oppure JPG con sfondo bianco."
        choose_url: false
        media_library:
          config:
            multiple: false
            max_file_size: 5000000 # 5MB

  - name: services
    label: "Servizi"
    label_singular: "Servizio"
    description: "Servizi da mostrare nel carosello di presentazione."
    folder: "src/content/services/"
    extension: md
    create: true
    delete: true
    media_folder: "public/assets/services"
    public_folder: "/assets/services"
    fields:
      - label: Titolo
        name: title
        widget: string
      - label: Descrizione
        name: description
        widget: text
        pattern: [
          '[A-Z]{1}[a-z][^A-Z]*',
          "Usa la maiuscola iniziale."
        ]
        hint: "Breve descrizione del servizio."
      - label: Immagine
        name: src
        widget: image
        choose_url: false
        media_library:
          config:
            multiple: false
            max_file_size: 5000000 # 5MB